Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033621
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2016-08-04 10:042018-01-03 12:38
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisionb4af0d833993
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033621: Increase the size of the ad_alert.record_id from 100 to 2000

DescriptionWhen the column identifier of a row returned by an alert exceeds the size of the record_id table the process fails.
Steps To Reproduce-Check that the lenght of the ad_alert.record_id column has a size of 100.
TagsNo tags attached.
Attached Filesdiff file icon AD_ALERT.diff [^] (567 bytes) 2017-11-01 20:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028260 newAugustoMauch Check on the alert process if the alert being inserted exceeds the column size of the record_id column 
related to feature request 0028566 acknowledgedplatform ad_session.websession column is too small 
depends on feature request 00346543.0PR17Q2 closedalostale some performance improvements in DBSM tasks 
depends on defect 0037225 closedalostale API change: AD_ALERT.RECORD_ID size increased 

-  Notes
(0100273)
hgbot (developer)
2017-11-06 09:03

Repository: erp/devel/pi
Changeset: b4af0d833993bc7d1e1e93e86915fe579849e010
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Nov 03 07:47:29 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b4af0d833993bc7d1e1e93e86915fe579849e010 [^]

fixed bug 33621: AD_Alert.Record_ID field is too small

  Used to store record identifier, 100 characters could be too small in some cases,
  increased to 4000.

---
M src-db/database/model/tables/AD_ALERT.xml
---
(0100412)
caristu (developer)
2017-11-10 09:06

Reviewed
(0101300)
hgbot (developer)
2018-01-02 08:59

Repository: erp/devel/api-checks
Changeset: e94009acb2659e13cd4ca3596e910700389f25a8
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jan 02 08:59:15 2018 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/e94009acb2659e13cd4ca3596e910700389f25a8 [^]

Related with issue 33621: updates ad_alert model, column size from 100 to 2000

---
M model/src-db/database/model/tables/AD_ALERT.xml
---
(0101371)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-04 10:04 egoitz New Issue
2016-08-04 10:04 egoitz Assigned To => AugustoMauch
2016-08-04 10:04 egoitz Modules => Core
2016-08-04 10:04 egoitz Triggers an Emergency Pack => No
2016-08-04 10:04 egoitz Issue generated from 0028260
2016-08-04 10:04 egoitz Relationship added related to 0028260
2016-09-02 11:28 heccam Issue Monitored: heccam
2016-10-31 23:07 AugustoMauch Assigned To AugustoMauch => platform
2016-12-01 12:06 alostale Relationship added depends on 0034654
2016-12-01 12:06 alostale Status new => acknowledged
2017-01-11 13:04 alostale Relationship added related to 0028566
2017-11-01 20:01 Practics File Added: AD_ALERT.diff
2017-11-01 20:01 Practics Issue Monitored: Practics
2017-11-06 08:57 alostale Relationship added depends on 0037225
2017-11-06 09:03 hgbot Checkin
2017-11-06 09:03 hgbot Note Added: 0100273
2017-11-06 09:03 hgbot Status acknowledged => resolved
2017-11-06 09:03 hgbot Resolution open => fixed
2017-11-06 09:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4af0d833993bc7d1e1e93e86915fe579849e010 [^]
2017-11-06 09:07 alostale Assigned To platform => alostale
2017-11-06 09:07 alostale Review Assigned To => caristu
2017-11-10 09:06 caristu Note Added: 0100412
2017-11-10 09:06 caristu Status resolved => closed
2017-11-10 09:06 caristu Fixed in Version => 3.0PR18Q1
2018-01-02 08:59 hgbot Checkin
2018-01-02 08:59 hgbot Note Added: 0101300
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101371


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker